Download Download proxies in specific format, with specific connection type

A list of all publicly available methods for interacting with the API.

GET

Get package download hash Download hash Retrieve download hash for package, for download package proxies. Package -/package/download-hash/{id}

Query method

GEThttps://api.stableproxy.com/v2/package/download-hash/{id}

Query parameters

IdentifierRegulationsExample
id1required11

Code examples

async function getPackageDownloadHash() {
   const baseUrl = 'https://api.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/download-hash/{id}'
      .replace("{id}", 11), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

DELETE

Reset Download Hash Reset download hash for package, old hash will not be valid anymore. -/package/download-hash/{id}

Query method

DELETEhttps://api.stableproxy.com/v2/package/download-hash/{id}

Query parameters

IdentifierRegulationsExample
id1required11

Code examples

async function deletePackageDownloadHash() {
   const baseUrl = 'https://api.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/download-hash/{id}'
      .replace("{id}", 11), {
         method: 'DELETE',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers

GET

Get package download Download Download proxies in specific format, with specific connection type Package -/package/download/{hash}/{format}/{connection}/{nopwd?}

Query method

GEThttps://api.stableproxy.com/v2/package/download/{hash}/{format}/{connection}/{nopwd?}

Query parameters

IdentifierRegulationsExample
hash1requirednull
format1requirednull
connection1requirednull

Code examples

async function getPackageDownload{nopwd?}() {
   const baseUrl = 'https://api.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/package/download/{hash}/{format}/{connection}/{nopwd?}'
      .replace("{hash}", null)
      .replace("{format}", null)
      .replace("{connection}", null), {
         method: 'GET',
         headers: {
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers